import { OnInit, EventEmitter } from '@angular/core';
import { FrequencyService } from '../frequency.service';
import * as i0 from "@angular/core";
export declare class FrequencyRandomComponent implements OnInit {
    private frequencyService;
    mode: any;
    monthNameArray: Array<any>;
    selectedMonthly: Array<number>;
    randomTypeMax: number[];
    randomType: string[];
    randomInstances: number;
    defaultRandomInstance: number[];
    randomlyDay: number;
    randomlyLifeCycleStart: Date;
    randomlyLifeCycleEndTime: Date;
    randomlyLifecycleOccurance: number;
    randomlySeletedLifecycleType: number;
    randomTypeSelected: number;
    randomWindow: number;
    randomFailed: number;
    randomMonthSelected: never[];
    randomQuarterlySelected: number;
    quarterlyGroup: number[];
    randomTypeInstances: number[];
    frequencyInfo: any;
    shortMonth: Array<string>;
    quarterlyMonth: Array<string>;
    startDate: number;
    frequencyData: any;
    lifecycleDetails: any;
    frequencyDetails: EventEmitter<any>;
    constructor(frequencyService: FrequencyService);
    ngOnInit(): void;
    getRandomInstances(): void;
    populateFrequency(): void;
    onMonthSelected(event: any): void;
    onValueChange(event: any): void;
    randomChecked(event: any): void;
    randomInstance(event: any, type: any): void;
    lifecycleChange(event: any): void;
    selectedMonth(event: any): void;
    randomQuarterlyChecked(event: any): void;
    getRandomFrequency(): void;
    getWeeklyFrequency(): {
        pattern: string;
        placeholder: string;
    };
    getMonthlyFrequency(): {
        pattern: string;
        placeholder: string;
    };
    getQuarterlyFrequency(): {
        pattern: string;
        placeholder: string;
    };
    getYearlyFrequency(): {
        pattern: string;
        placeholder: string;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyRandomComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyRandomComponent, "app-frequency-random", never, { "mode": { "alias": "mode"; "required": false; }; "startDate": { "alias": "startDate"; "required": false; }; "frequencyData": { "alias": "frequencyData"; "required": false; }; }, { "frequencyDetails": "frequencyDetails"; }, never, never, false, never>;
}
